org.fourthline.cling.model.message.gena

## Class OutgoingEventRequestMessage

- java.lang.Object
- - org.fourthline.cling.model.message.UpnpMessage<UpnpRequest>
  - - org.fourthline.cling.model.message.StreamRequestMessage
    - - org.fourthline.cling.model.message.gena.OutgoingEventRequestMessage

-     public class OutgoingEventRequestMessage
      extends StreamRequestMessage

  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.model.message.UpnpMessage

      `UpnpMessage.BodyType`

  - ### Field Summary

    - ### Fields inherited from class org.fourthline.cling.model.message.StreamRequestMessage

      `connection`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutgoingEventRequestMessage(GENASubscription subscription, URL callbackURL)`
    `OutgoingEventRequestMessage(GENASubscription subscription, URL callbackURL, UnsignedIntegerFourBytes sequence, Collection<StateVariableValue> values)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<StateVariableValue>` | `getStateVariableValues()`

    - ### Methods inherited from class org.fourthline.cling.model.message.StreamRequestMessage

      `getConnection, getUri, setConnection, setUri`

    - ### Methods inherited from class org.fourthline.cling.model.message.UpnpMessage

      `getBody, getBodyBytes, getBodyString, getBodyType, getContentTypeCharset, getContentTypeHeader, getHeaders, getOperation, getUdaMajorVersion, getUdaMinorVersion, hasBody, hasHostHeader, isBodyNonEmptyString, isContentTypeMissingOrText, isContentTypeText, isContentTypeTextUDA, setBody, setBody, setBodyCharacters, setBodyType, setHeaders, setUdaMajorVersion, setUdaMinorVersion, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OutgoingEventRequestMessage

          public OutgoingEventRequestMessage(GENASubscription subscription,
                                             URL callbackURL,
                                             UnsignedIntegerFourBytes sequence,
                                             Collection<StateVariableValue> values)

    - #### OutgoingEventRequestMessage

          public OutgoingEventRequestMessage(GENASubscription subscription,
                                             URL callbackURL)

  - ### Method Detail

    - #### getStateVariableValues

          public Collection<StateVariableValue> getStateVariableValues()

Copyright © 2015 4th Line GmbH, Switzerland. All rights reserved.